Ryzom - Bug # 1171

Status: Closed Priority: Normal
Author: molator Category:

Created: 11/06/2010 Assignee: dnk-88
Updated: 02/08/2011 Due date:

Subiject: OVQT Weather dock window

Description

If i open the Weather dock window and quit, i can't run ovqgt again without deleting the ini file.

History

#1 -11/07/2010 04:33 pm - rti

Same here. This may be interesting:

(gdb) r

The program being debugged has been started already.

Start it from the beginning? (y or n) y

Starting program: /Applications/object_viewer_gt.app/Contents/MacOS/object_viewer_qt

Reading symbols for shared libraries .. done

INF 706f4c20 main.cpp 79 main <Unknown> : Welcome to NeL!

Reading symbols for shared libraries . done

Reading symbols for shared libraries + done

Reading symbols for shared libraries + done

Reading symbols for shared libraries + done

Reading symbols for shared libraries + done

Reading symbols for shared libraries ++ done

Reading symbols for shared libraries + done

DBG 706f4c20 configuration.cpp 48 init <Unknown> : CConfiguration::init

DBG 706f4c20 config_file.cpp 392 reparse <Unknown> : CF: Adding config file
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_gt/data/object_viewer.cfg' in the config file

INF 706f4c20 config_file.cpp 467 reparse <Unknowns : CF: RootConfigFilename variable found in the
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qgt/data/object_viewer.cfg' config file, parse the root config file
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qgt/data/object_vie

DBG 706f4c20 config_file.cpp 392 reparse <Unknown> : CF: Adding config file
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_gt/data/object_viewer_default.cfg' in the config file

DBG 706f4c20 main_window.cpp 61 CMainWindow <Unknown> : CMainWindow::CMainWindow:

INF 706f4c20 path.cpp 934 addSearchPath <Unknown> : PATH: CPath::addSearchPath(/mnt/disk_d/NEL3D/texture, recursive, not
alternative): '/mnt/disk_d/NEL3D/texture' is not a directory, I'll call addSearchFile()

WRN 706f4c20 path.cpp 1075 addSearchFile <Unknowns : PATH: CPath::addSearchFile(/mnt/disk_d/NEL3D/texture, 0, "):
'/mnt/disk_d/NEL3D/texture' is not found, skip it (current dir is '/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_gt/data’
INF 706f4c20 path.cpp 934 addSearchPath <Unknown> : PATH: CPath::addSearchPath(/mnt/disk_d/NEL3D/SFX/maps, recursive, not
alternative): '/mnt/disk_d/NEL3D/SFX/maps' is not a directory, I'll call addSearchFile()

WRN 706f4c20 path.cpp 1075 addSearchFile <Unknown> : PATH: CPath::addSearchFile(/mnt/disk_d/NEL3D/SFX/maps, 0, "):
'/mnt/disk_d/NEL3D/SFX/maps' is not found, skip it (current dir is '/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_gt/data’
INF 706f4c20 path.cpp 934 addSearchPath <Unknown> : PATH:
CPath::addSearchPath(/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures, recursive, not alternative):
'/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures' is not a directory, I'll call addSearchFile()

WRN 706f4c20 path.cpp 1075 addSearchFile <Unknown> : PATH:
CPath::addSearchFile(/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures, 0, "):
'/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures' is not found, skip it (current dir is

'/Users/rti/Development/ryzom/code/nel/too

Program received signal EXC_BAD_ACCESS, Could not access memory.

Reason: 13 at address: 0x0000000000000000

NLQT::CGlobalWindDialog::updateWnd (this=0x117320050, visible=true) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/global_wind_dialog.cpp:56

56 _ui.horizontalSlider->setValue(int(Modules::objView().getScene()->getGlobalWindPower() * _ui.horizontalSlider->maximum()));
(gdb) bt

#0 NLQT::CGlobalWindDialog::updateWnd (this=0x117320050, visible=true) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_gt/src/global_wind_dialog.cpp:56

#1 0x00000001001b6745 in NLQT::CGlobalWindDialog::gt_metacall (this=0x117320050, _c=QMetaObject::InvokeMetaMethod, _id=1,
_a=0x7fff5fbfeb80) at /Users/rti/Development/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/moc_global_wind_dialog.cxx:75
#2 0x000000010208b726 in QMetaObject::activate ()

#3 0x00000001017950a1 in QDockWidget::visibilityChanged ()

#4 0x00000001017986bf in QDockWidget::event ()

#5 0x00000001013e2ddd in QApplicationPrivate::notify_helper ()

#6 0x00000001013e972d in QApplication::notify ()

#7 0x0000000102084dec in QCoreApplication::notifylnternal ()

#8 0x000000010143¢c305 in QWidgetPrivate::show_helper ()

#9 0x000000010143¢c131 in QWidgetPrivate::showChildren ()

#10 0x000000010143c1d4 in QWidgetPrivate::show_helper ()

#11 0x000000010143d88f in QWidget::setVisible ()

#12 0x00000001001243fd in NLQT::CMainWindow::setVisible (this=0x102a92640, visible=<value temporarily unavailable, due to
optimizations>) at /Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/main_window.cpp:143

#13 0x000000010142bfca in QWidget::showMaximized ()

#14 0x0000000100123837 in main (argc=1, argv=0x7fff5fbff438) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/main.cpp:96

(gdb) print Modules::objView()

Program received signal EXC_BAD_ACCESS, Could not access memory.

Reason: 13 at address: 0x0000000000000000

0x00007fff838cdf2d in dyld_stub_binder ()

The program being debugged was signaled while in a function called from GDB.

GDB remains in the frame where the signal was received.

To change this behavior use "set unwindonsignal on"

Evaluation of the expression containing the function (Modules::objView()) will be abandoned.
(gdb)

#2 - 11/07/2010 07:00 pm - aquiles
Thats some strange bug. It crashes because getScene() in updateWnd() returns an uninitalized pointer. | can handle it if i set _Scene(0) in the Ctor and

asking for it in updateWnd() but shouldnt _Scene be initalized at this point? Theres also the SunColorDialog which works the same but doesnt crash

for me. Strangly enough it doesnt even call the slot connected to visibillityChanged(). So for now i dont really now whats happening.

#3 - 11/07/2010 07:27 pm - aquiles

ok, my fault i opened the wrong dialog, so sun color is crashing too.
if these two widget are left open on exit, they are reopened on next start and CGlobalWindDialog::updateWnd() is called earlier than

CObjectViewer::init(). Im doin now the above mentioned changes.

#4 - 11/07/2010 07:41 pm - aquiles
- Target version set to Version 0.10.0
- % Done changed from 0 to 50

#5 - 11/07/2010 07:42 pm - aquiles
- Status changed from New to Patched

#6 - 11/07/2010 07:46 pm - aquiles
- Assignee set to aquiles

#7 - 01/26/2011 01:54 pm - dnk-88
- Status changed from Patched to Assigned
- Assignee changed from aquiles to dnk-88

- Target version changed from Version 0.10.0 to Version 0.8.0
#8 - 01/26/2011 02:11 pm - dnk-88
- Status changed from Assigned to Resolved

- % Done changed from 50 to 100

#9 - 02/08/2011 10:54 pm - dnk-88
- Status changed from Resolved to Closed
